<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Lista plików</title>
</head>
<body>
<div>

<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function getDir($dir, $extList)
{
  if(!($fd = opendir($dir))){
    return false;
  }
  $arr = explode(";", $extList);
  foreach($arr as $key => $file){
    $arr[$key] = trim($file);
  }
  $contents = "";
  while (($file = readdir($fd)) !== false){
    if(($file == "..") || ($file == ".")){
      continue;
    }
    $ext = substr($file, strlen($file) - 3, 3);
    $ext = strtolower($ext);

    if(in_array($ext, $arr)){
      $contents .= "<a href=\"$dir$file\">$file</a>";
      $contents .= "<br />\n";
    }
  }
  closedir($fd);
  return($contents);
}
echo getDir("nazwa_katalogu/", "lista rozszerzeń");
//przykładowo echo getDir("images/", "jpg;gif;png");
?>
</div>
</body>
</html>
